<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/system/Sys_Role.js此处编写
 -->
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
<script>
import extend from "@/extension/system/Sys_Role.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "roleId",
      footer: "Foots",
      cnName: "角色管理",
      name: "Sys_Role",
      url: "/Sys_Role/",
      sortName: "roleId",
    });
    const editFormFields = ref({
      parentId: "",
      roleName: "",
      deptId: "",
      enable: "",
      // creater: "",
      // createDate: "",
      // modifier: "",
      // modifyDate: "",
    });
    const editFormOptions = ref([
      [
        {
          dataKey: "tree_roles",
          data: [],
          title: "父级ID",
          required: true,
          field: "parentId",
          type: "select",
        },
        { title: "角色名称", required: true, field: "roleName" },
        {
          title: "数据权限",
          field: "authorityScope",
          type: "selectList",
          dataKey: "authorityScope",
          data: [],
        },
      ],
      [
        { title: "部门ID", field: "deptId" },
        {
          dataKey: "enable",
          data: [],
          title: "是否启用",
          field: "enable",
          type: "switch",
        },
      ],
    ]);
    const searchFormFields = ref({
      roleName: "",
      deptId: "",
      enable: "",
      createDate: "",
      modifyDate: "",
    });
    const searchFormOptions = ref([
      [
        { title: "角色名称", field: "roleName", type: "text" },
        { title: "部门ID", field: "deptId", type: "text" },
        {
          dataKey: "enable",
          data: [],
          title: "是否启用",
          field: "enable",
          type: "select",
        },
      ],
      [
        { title: "创建时间", field: "createDate", type: "datetime" },
        { title: "修改时间", field: "modifyDate", type: "datetime" },
      ],
    ]);
    const columns = ref([
      {
        field: "roleId",
        title: "角色ID",
        type: "int",
        width: 70,
        readonly: true,
        require: true,
        align: "left",
        sortable: true,
      },
      {
        field: "parentId",
        title: "父级ID",
        type: "int",
        bind: { key: "tree_roles", data: [] },
        width: 70,
        require: true,
        align: "left",
      },
      {
        field: "roleName",
        title: "角色名称",
        type: "string",
        link: true,
        width: 90,
        require: true,
        align: "left",
      },
      {
        field: "roleId",
        title: "数据权限",
        type: "string",
        width: 90,
        require: true,
        align: "left",
        bind: { key: "authorityScopes", data: [] },
      },
      {
        field: "deptId",
        title: "部门ID",
        type: "int",
        width: 90,
        // hidden: true,
        align: "left",
      },
      //   {
      //     field: "deptName",
      //     title: "部门名称",
      //     type: "string",
      //     width: 90,
      //     align: "left",
      //   },
      {
        field: "enable",
        title: "是否启用",
        type: "byte",
        bind: { key: "enable", data: [] },
        width: 90,
        align: "left",
      },
      {
        field: "orderNo",
        title: "排序",
        type: "int",
        width: 90,
        hidden: true,
        align: "left",
      },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 130,
        readonly: true,
        align: "left",
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 90,
        readonly: true,
        align: "left",
        sortable: true,
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 130,
        readonly: true,
        align: "left",
      },
      {
        field: "modifyDate",
        title: "修改时间",
        type: "datetime",
        width: 90,
        readonly: true,
        align: "left",
        sortable: true,
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      columns: [],
      sortName: "",
      key: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
